<?php
namespace WebService\Controller;

/**
 * Categories Controller
 *
 * @property \WebService\Model\Table\CategoriesTable $Categories
 *
 * @method \WebService\Model\Entity\Category[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class CategoriesController extends AppController
{

    public function initialize()
    {
        parent::initialize(); // TODO: Change the autogenerated stub
    }

    /**
     * Index method
     *
     * @return \Cake\Http\Response|void
     */
    public function index()
    {
        $categories = $this->Categories->find()
            ->orderAsc('name');

        $categories = $this->paginate($categories);

        $this->set([
            'categories' => $categories,
            '_serialize' => ['categories']
        ]);
    }
}
